// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "UICanvas.hpp"

namespace Dawn {
  class UIGrid :
    public SceneItemComponent,
    public UIComponentDimensional
  {
    public:
      UIGrid(SceneItem *item);
      float_t getWidth() override;
      float_t getHeight() override;
      float_t getContentWidth() override;
      float_t getContentHeight() override;
  };
}